| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_lms_instance_q31 Struct Reference

Instance structure for the Q31 LMS filter.

## Data Fields
uint16_t | numTaps
q31_t * | pState
q31_t * | pCoeffs
q31_t | mu
uint32_t | postShift

## Field Documentation

q31_t arm_lms_instance_q31::mu

step size that controls filter coefficient updates.

Referenced by arm_lms_init_q31(), and arm_lms_q31().

uint16_t arm_lms_instance_q31::numTaps

number of coefficients in the filter.

Referenced by arm_lms_init_q31(), and arm_lms_q31().

q31_t* arm_lms_instance_q31::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_lms_init_q31(), and arm_lms_q31().

uint32_t arm_lms_instance_q31::postShift

bit shift applied to coefficients.

Referenced by arm_lms_init_q31(), and arm_lms_q31().

q31_t* arm_lms_instance_q31::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Referenced by arm_lms_init_q31(), and arm_lms_q31().